/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __GFSOPS_H__
#define __GFSOPS_H__

void print_gfs_config(gfs_config_t *gfs);
void print_gfs_listing(gfs_config_t *gfs);
int validate_gfs_config(gfs_config_t *gfs);
int make_gfs_config(cidev_entry_t *gen_config, gfs_config_t *gfs);
int update_config_remove(int cfd, gfs_config_t *gfs, char *name);
int update_config_add(int cfd, gfs_config_t *cur, gfs_config_t *new);

#endif
