/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __PLOCK_DOT_H__
#define __PLOCK_DOT_H__

int gfs_plock_get(struct gfs_inode *ip, unsigned long owner, uint64_t * start,
		  uint64_t * end, int *exclusive, long *pid);
int gfs_plock(struct gfs_inode *ip, unsigned long owner, int wait,
	      int exclusive, uint64_t start, uint64_t end);
int gfs_punlock(struct gfs_inode *ip, unsigned long owner, uint64_t start,
		uint64_t end);

#endif				/*  __PLOCK_DOT_H__  */
