/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

/* Example use of liblog */

#include <stdarg.h>
#include <stdlib.h>
#include <unistd.h>
#include "sislogger.h"

int main(int argc, char **argv)
{
        int error;
        if((error = init_sislog(0, 3, LOG_DEBUG, 0, NULL, "mylogfile")) != 0)
                return error;
/*        error = init_defaultlog(1, 3, "i am a really long log msg prefix");*/
/*        init_minlog();*/
        log_debug("mydebug...");
        log_err("test");
        sleep(2);
        log_warn("warn %d %s", 1, "test");
        close_sislog();
        return 0;
}
