/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __monitor_h__
#define __monitor_h__

void init_monitor(void);
int start_monitor(gnbd_t * dev);
void stop_monitor(void);

int send_expire_request(gnbd_t * device);
#define DONT_WAIT 1
#define EXPIRE_FAILED -1

#define MONITOR_STOPPED 0
#define MONITOR_SHUTTING_DOWN 1
#define MONITOR_RUNNING 2

void notify_devices(uint32_t ip);

#endif				/* __monitor_h__ */
