/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __SISCLI_H__
#define __SISCLI_H__

#define PRINT_VERSION(progname, versionstring, copyright_statement) \
do { \
        printf("%s %s (built %s %s)\n", progname, \
              versionstring, __DATE__, __TIME__); \
        printf("%s\n", copyright_statement); \
} while(0)


inline void mutually_exclusive(char *progname, char flag1, char flag2);
int ccs_initlog(char *filename, char *nodename, int verb, int qt);

#endif /* __SISCLI_H__ */
